// gmlTcl_Obj_LibInit.cpp --
//
//    Tcl initialization function for the gmlObject shared library.
//
//  Copyright (c) 2007 LIG/IIHM
//
//  See the file "gml_LicenseTerms.txt" for information on usage and redistribution
//  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
//
//  Created on June 26, 2007 (FB).


#include "gmlTcl_Obj_Init.h"



#ifdef USE_TCL_STUBS
  static char kRequestedTclVersion[]   = "8.4";
#endif


extern "C"
#ifdef __WIN32__
__declspec(dllexport)
#endif
int Gmlobject_Init (Tcl_Interp* interp)
{

#ifdef USE_TCL_STUBS

  char*   resVersion;

  resVersion = (char*)Tcl_InitStubs (interp, (char*)kRequestedTclVersion, 0);
  if (resVersion == (char*)NULL)
    return TCL_ERROR;

#endif
  
  return gmlTcl_Obj_Init (interp);
}

extern "C"
#ifdef __WIN32__
__declspec(dllexport)
#endif
int Gmlobject_SafeInit (Tcl_Interp* interp)
{

  return Gmlobject_Init (interp);
}

